From da68eb76e61d86c9de464107fb790fd73cba0004 Mon Sep 17 00:00:00 2001
From: Laurenz Albe <laurenz.albe@cybertec.at>
Date: Wed, 28 Sep 2022 17:17:45 +0200
Subject: [PATCH] Document "bpchar" as character data type

"bpchar" is our internal name for "character", but it should
still be documented as an alternative name to avoid confusion.

Per request from Yanliang Lei.

Discussion: https://postgr.es/m/120b3084.56b6.1833b5ffe4b.Coremail.msdnchina@163.com
---
 doc/src/sgml/datatype.sgml | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/datatype.sgml b/doc/src/sgml/datatype.sgml
index 0258b192e0..14d63b7bbc 100644
--- a/doc/src/sgml/datatype.sgml
+++ b/doc/src/sgml/datatype.sgml
@@ -1169,7 +1169,7 @@ SELECT '52093.89'::money::numeric::float8;
         <entry>variable-length with limit</entry>
        </row>
        <row>
-        <entry><type>character(<replaceable>n</replaceable>)</type>, <type>char(<replaceable>n</replaceable>)</type></entry>
+        <entry><type>character(<replaceable>n</replaceable>)</type>, <type>char(<replaceable>n</replaceable>)</type>, <type>bpchar(<replaceable>n</replaceable>)</type></entry>
         <entry>fixed-length, blank padded</entry>
        </row>
        <row>
@@ -1213,10 +1213,11 @@ SELECT '52093.89'::money::numeric::float8;
    </para>
 
    <para>
-    The notations <type>varchar(<replaceable>n</replaceable>)</type> and
-    <type>char(<replaceable>n</replaceable>)</type> are aliases for <type>character
-    varying(<replaceable>n</replaceable>)</type> and
-    <type>character(<replaceable>n</replaceable>)</type>, respectively.
+    The notation <type>varchar(<replaceable>n</replaceable>)</type> is an
+    alias for <type>character varying(<replaceable>n</replaceable>)</type>,
+    and <type>char(<replaceable>n</replaceable>)</type> and
+    <type>bpchar(<replaceable>n</replaceable>)</type> are aliases for
+    <type>character(<replaceable>n</replaceable>)</type>.
     If specified, the length must be greater than zero and cannot exceed
     10485760.
     <type>character</type> without length specifier is equivalent to
-- 
2.37.3

